# Class BinSizer.BinSizerSpecifier

java.lang.Object
uk.ac.starlink.ttools.plot2.config.SpecifierPanel<BinSizer>
uk.ac.starlink.ttools.plot2.layer.BinSizer.BinSizerSpecifier

All Implemented Interfaces:
  `Specifier<BinSizer>`

Enclosing class:
  `BinSizer`

public static class BinSizer.BinSizerSpecifier extends SpecifierPanel<BinSizer>
Specifier for BinSizer values.

Since:
  8 Jan 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`protected JComponent`
`createComponent()`
Abstract method called lazily during `getComponent` to obtain the graphical component used by this specifier.
`BinSizer`
`getSpecifiedValue()`
Returns the typed value currently specified by the graphical component.
`void`
`setSpecifiedValue(BinSizer sizer)`
Sets the typed value represented by the graphical component.
`void`
`submitReport(ReportMap report)`
Accepts information about a completed plot that was drawn with input from this specifier.

### Methods inherited from class SpecifierPanel

`addActionListener, fireAction, getActionForwarder, getChangeForwarder, getComponent, isXFill, removeActionListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createComponent

protected JComponent createComponent()
Description copied from class: `SpecifierPanel`
Abstract method called lazily during `getComponent` to obtain the graphical component used by this specifier. It will be called a maximum of once. It is not necessary that the component actually be created in this method, for instance it may be created at construction time if that's more convenient.

Specified by:
  `createComponent` in class `SpecifierPanel<BinSizer>`
Returns:
  graphical component

### getSpecifiedValue

public BinSizer getSpecifiedValue()
Description copied from interface: `Specifier`
Returns the typed value currently specified by the graphical component.

Returns:
  specified value

### setSpecifiedValue

public void setSpecifiedValue(BinSizer sizer)
Description copied from interface: `Specifier`
Sets the typed value represented by the graphical component. Calling this method ought to make it clear to the user what value it is set at; in any case a subsequent call of `getSpecifiedValue` should yield the same result.

However if a value is set which is of the correct type but cannot be represented by this specifier, results are unpredictable.

Parameters:
  `sizer` - new value

### submitReport

public void submitReport(ReportMap report)
Description copied from interface: `Specifier`
Accepts information about a completed plot that was drawn with input from this specifier. In many cases, the implementation of this method will be a no-op, but it gives this object a chance to update its state or its component's appearance based on the way the plot was actually drawn, which may provide information not otherwise available to this object.

Parameters:
  `report` - report of a plot partially specified by this object